Subject: Re: linux-next: build failure after merge of the ftrace tree

From: Steven Rostedt <[email-masked]>
Date: Thu, 13 Jan 2022 21:16:33 -0500

On Fri, 14 Jan 2022 12:02:40 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Wed, 12 Jan 2022 11:31:03 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the ftrace tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> > 
> > Inconsistent kallsyms data
> > Try make KALLSYMS_EXTRA_PASS=1 as a workaround
> > 
> > I am not sure what caused this - maybe commit
> > 
> >   4f1f18311591 ("scripts: ftrace - move the sort-processing in ftrace_init")
> > 
> > I have used the ftrace tree from next-20220111 for today.  
> 
> I am still getting this.
> 

What compiler are you using, because I built my branch against all archs
and it didn't have an issue.

I can try to see if it is with linux-next and something my tree has with
other updates.

-- Steve